package com.ekexiu.project.platform.article;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/21.
 */
@Table(descp = "内容关联企业")
public class ArticleComp {
    private String articleId;
    private String compId;
    private String createTime;

    @Column(descp = "内容ID", value = DE.id_32)
    public String getArticleId() {
        return articleId;
    }

    public void setArticleId(String articleId) {
        this.articleId = articleId;
    }

    @Column(descp = "企业ID", value = DE.id_32)
    public String getCompId() {
        return compId;
    }

    public void setCompId(String compId) {
        this.compId = compId;
    }

    @Column(descp = "创建时间（YYYYMMDDHH24MISS）不可修改", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
