package com.ekexiu.project.platform.company;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/20.
 */
@Table(descp = "企业邀请表", value = "COMP_INVITE")
public class CompInvite {
    private String id;
    private String email;
    private String inviteCode;
    private String lastTime;
    private String lastInviter;
    private boolean actived;

    @Column(descp = "企业ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "联系邮箱", value = DE.text_de)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Column(descp = "邀请码", value = DE.text_de)
    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    @Column(descp = "最后邀请时间", value = DE.dateTime_de)
    public String getLastTime() {
        return lastTime;
    }

    public void setLastTime(String lastTime) {
        this.lastTime = lastTime;
    }

    @Column(descp = "最后邀请人", value = DE.id_32)
    public String getLastInviter() {
        return lastInviter;
    }

    public void setLastInviter(String lastInviter) {
        this.lastInviter = lastInviter;
    }

    @Column(descp = "有效标识", value = DE.boolean_de)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }
}
