package com.ekexiu.project.platform.company;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/26.
 */
@Table(descp = "企业关键词")
public class CompKeyWord {
    private String id;
    private int type;
    private String value;
    private int num;

    @Column(descp = "企业ID", value = DE.text_de)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "关键词类型（所属行业：1，专注领域：2，企业资质：3，供应商领域：4，客户领域：5）", value = DE.int_de)
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    @Column(descp = "关键词", value = DE.text_de)
    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Column(descp = "序号", value = DE.int_de)
    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }
}
