package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"dictCode","code"})
@Table(descp="数据字典表",value="SYS_DICT")
public class DictItem {
	private String code;
	private String dictCode;
	private String bcode;
	private String caption;
	private String fullCaption;
	private String shortCut;
	private String remark;
	private boolean readonly;
	private boolean active;
	
	@Column(descp="字典项编码",value= DE.rtext_de)
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	
	@Column(descp="字典项编码(业务编码)",value= DE.Text_de)
	public String getBcode() {
		return bcode;
	}
	public void setBcode(String bcode) {
		this.bcode = bcode;
	}
	@Column(descp="字典编码",value= DE.rtext_de)
	public String getDictCode() {
		return dictCode;
	}
	public void setDictCode(String dictCode) {
		this.dictCode = dictCode;
	}
	@Column(descp="字典项显示",value= DE.text_de)
	public String getCaption() {
		return caption;
	}
	public void setCaption(String caption) {
		this.caption = caption;
	}
	@Column(descp="字典项显示(全)",value= DE.Text_de)
	public String getFullCaption() {
		return fullCaption;
	}
	public void setFullCaption(String fullCaption) {
		this.fullCaption = fullCaption;
	}
	@Column(descp="助记码",value= DE.Text_de)
	public String getShortCut() {
		return shortCut;
	}
	public void setShortCut(String shortCut) {
		this.shortCut = shortCut;
	}
	@Column(descp="备注",value= DE.Text_de)
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@Column(descp="是否只读",value= DE.boolean_de)
	public boolean isReadonly() {
		return readonly;
	}
	public void setReadonly(boolean readonly) {
		this.readonly = readonly;
	}
	@Column(descp="是否有效",value= DE.boolean_de)
	public boolean isActive() {
		return active;
	}
	public void setActive(boolean active) {
		this.active = active;
	}
	
	
	
}
