package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@Table(descp = "登录日志表")
@PrimaryKey("id")
public class UserLoginLog {
    private String id;
    private String lastLoginTime;

    @Column(descp = "用户ID", value = DE.text_de)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "最后登录时间", value = DE.text_de)
    public String getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(String lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }


}
