package com.ekexiu.project.platform.article;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("id")
@Table(descp = "无效内容表")
public class InvalidArticle {

    private String id;
    private String title;
    private String catalog;
    private String creator;
    private String createTime;
    private String invalidTime;
    private String invalidOperator;

    @Column(descp = "内容ID", value = DE.text_de)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "内容标题", value = DE.text_de)
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(descp = "内容栏目", value = DE.Text_de)
    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    @Column(descp = "内容创建人", value = DE.text_de)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(descp = "内容创建时间", value = DE.text_de)
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(descp = "最后删除时间", value = DE.text_de)
    public String getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(String invalidTime) {
        this.invalidTime = invalidTime;
    }

    @Column(descp = "最后删除人", value = DE.text_de)
    public String getInvalidOperator() {
        return invalidOperator;
    }

    public void setInvalidOperator(String invalidOperator) {
        this.invalidOperator = invalidOperator;
    }

}
