package com.ekexiu.project.platform.organization;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2018/11/22.
 */
@Path("/org")
public class OrgService {

    @Autowrie
    private OrgDao orgDao;

    public OrgDao getOrgDao() {
        return orgDao;
    }

    public void setOrgDao(OrgDao orgDao) {
        this.orgDao = orgDao;
    }

    @Path("/setlevel")
    @Post
    public void setLevel(@JdbcConn(true) Connection con, String id, @Nullable Integer level) throws SQLException {
        orgDao.setlevel(con, id, level);
    }

    @Path("/list")
    @Get
    public List<Organization> querList(@JdbcConn Connection con) throws SQLException {
        return orgDao.queryList(con);
    }

    @Path("/qo")
    @Get
    public Organization queryOne(@JdbcConn Connection con, String id) throws SQLException {
        return orgDao.queryOne(con, id);
    }
}
