package com.ekexiu.project.platform.organization;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/22.
 */
@PrimaryKey("id")
@Table(descp = "合作机构表")
public class Organization {

    private String id;
    private long shareId;
    private Integer level;
    private String assTime;

    @Column(descp = "合作机构ID", value = DE.text_de)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "合作机构共享ID", value = DE.bigSerial)
    public long getShareId() {
        return shareId;
    }

    public void setShareId(long shareId) {
        this.shareId = shareId;
    }

    @Column(descp = "排序字段", value = DE.Int_de)
    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    @Column(descp = "入驻时间", value = DE.text_de)
    public String getAssTime() {
        return assTime;
    }

    public void setAssTime(String assTime) {
        this.assTime = assTime;
    }
}
