package com.ekexiu.project.platform.product;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/26.
 */
@Table(descp = "产品关键词")
public class ProductKeyWord {
    private String id;
    private String keyword;
    private int num;

    @Column(descp = "产品ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "关键词", value = DE.Text_de)
    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    @Column(descp = "序号", value = DE.int_de)
    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }
}
