package com.ekexiu.project.platform.professor;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2018/11/20.
 */
@Path("/professor")
public class ProfessorService {

    @Autowrie
    private ProfessorDao professorDao;

    public ProfessorDao getProfessorDao() {
        return professorDao;
    }

    public void setProfessorDao(ProfessorDao professorDao) {
        this.professorDao = professorDao;
    }

    @Path("/setlevel")
    @Post
    public void setLevel(@JdbcConn(true) Connection con, String id, @Nullable Integer level) throws SQLException {
        professorDao.setlevel(con, id, level);
    }

    @Path("/list")
    @Get
    public List<Professor> queryList(@JdbcConn Connection con) throws SQLException {
        return professorDao.queryList(con);
    }

    @Path("/qo")
    @Get
    public Professor queryOne(@JdbcConn Connection con, String id) throws SQLException {
        return professorDao.queryOne(con, id);
    }

}
